# template-posh

Template repository for projects on posh

* [`script.ps1`](https://git.hmp.today/pavel.muhortov/template-posh#script-ps1)

____
## `script.ps1`
**Description:**  
> returning current username if privileged rights are exist  
> or  
> returning error, if privileged rights are not exist


**Dependencies:**  
> - powershell (tested version 5.1)


|  PARAMETERS | DESCRIPTION | DEFAULT|
|-------------|-------------|--------|
|**[-show]**|""   - execution with pauses.<br/>"qn" - execution without pauses.||
|**[-conf]**|path to configuration file|.\script.conf|


Example usage in terminal with powershell:
```shell
powershell .\script.ps1
```
```shell
script.ps1 qn .\script.conf
```
